This of course isn't ideal, but it's better than carrying on in a
confused state.
---
 bin/wanna-build | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/bin/wanna-build b/bin/wanna-build
index 6d52ede..9c1e161 100755
--- a/bin/wanna-build
+++ b/bin/wanna-build
@@ -1751,7 +1751,9 @@ sub wb_dose_builddebcheck {
         local $/ = undef;
         $result_string = <$result_cmd>;
     }
-    close $result_cmd;
+    close $result_cmd or
+        die $! ? "error closing pipe from dose-builddebcheck: $!"
+               : "dose-builddebcheck exited with status $?";
 
     my $result_yaml = YAML::Tiny->read_string($result_string);
     for my $broken (@{$result_yaml->[0]{'report'}}) {
-- 
1.8.4.rc3


-- 
To UNSUBSCRIBE, email to [email protected]
with a subject of "unsubscribe". Trouble? Contact [email protected]
Archive: http://lists.debian.org/[email protected]

Reply via email to